Loading...
Searching...
No Matches
smart_pointer_base< T, C >

## Detailed Description

template<class T, class C>
class rheolef::smart_pointer_base< T, C >

Definition at line 131 of file smart_pointer.h.

Inheritance diagram for smart_pointer_base< T, C >:

## Classes

struct | internal

## Public Member Functions

| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Constructor & Destructor Documentation

## smart_pointer_base() [1/3]

template<class T, class C>

smart_pointer_base | ( | T * | p = 0 | ) |

Definition at line 220 of file smart_pointer.h.

## smart_pointer_base() [2/3]

template<class T, class C>

smart_pointer_base | ( | const smart_pointer_base< T, C > & |  | ) |

## smart_pointer_base() [3/3]

template<class T, class C>

smart_pointer_base | ( | void * | count,
|  | internal | )

Definition at line 226 of file smart_pointer.h.

## ~smart_pointer_base()

template<class T, class C>

~smart_pointer_base | ( |  | ) |

Definition at line 240 of file smart_pointer.h.

## Member Function Documentation

## operator=()

template<class T, class C>

smart_pointer_base< T, C > & operator= | ( | const smart_pointer_base< T, C > & |  | ) |

Definition at line 247 of file smart_pointer.h.

## pointer() [1/2]

template<class T, class C>

const T * pointer | ( |  | ) | const

Definition at line 259 of file smart_pointer.h.

## data() [1/2]

template<class T, class C>

const T & data | ( |  | ) | const

Definition at line 266 of file smart_pointer.h.

## operator->() [1/2]

template<class T, class C>

const T * operator-> | ( |  | ) | const

Definition at line 273 of file smart_pointer.h.

## operator*() [1/2]

template<class T, class C>

const T & operator* | ( |  | ) | const

Definition at line 280 of file smart_pointer.h.

## pointer() [2/2]

template<class T, class C>

T * pointer | ( |  | ) |

Definition at line 287 of file smart_pointer.h.

## data() [2/2]

template<class T, class C>

T & data | ( |  | ) |

Definition at line 308 of file smart_pointer.h.

## operator->() [2/2]

template<class T, class C>

T * operator-> | ( |  | ) |

Definition at line 301 of file smart_pointer.h.

## operator*() [2/2]

template<class T, class C>

T & operator* | ( |  | ) |

Definition at line 315 of file smart_pointer.h.

## reference_counter()

template<class T, class C>

int reference_counter | ( |  | ) | const

Definition at line 177 of file smart_pointer.h.

## get_count()

template<class T, class C>

counter * get_count | ( |  | ) | const

Definition at line 179 of file smart_pointer.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/util/lib/smart_pointer.h